com.r3corda.contracts.asset / Obligation / generateSettle

# generateSettle

`fun generateSettle(tx: TransactionBuilder, statesAndRefs: Iterable<StateAndRef<State<P>>>, assetStatesAndRefs: Iterable<StateAndRef<FungibleAsset<P>>>, moveCommand: MoveCommand, notary: Party): Unit`

### Parameters

`statesAndRefs` - a list of state objects, which MUST all have the same aggregate state. This is done as only a single settlement command can be present in a transaction, to avoid potential problems with allocating assets to different obligation issuances.
`assetStatesAndRefs` - a list of fungible asset state objects, which MUST all be of the same issued product. It is strongly encouraged that these all have the same beneficiary.
`moveCommand` - the command used to move the asset state objects to their new owner.